MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026401Open CASCADE[OCCT] OCCT:Visualizationpublic2015-07-06 16:592015-10-23 20:50
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026401: Visualization - small boxes in front of big one disappear in perspective view
DescriptionSmall objects are entirely disappear when displayed in front of big object in perspective view. This is not expected behavior.
Steps To Reproducebugs/vis/bug26401

pload MODELING VISUALIZATION
box b0  0 0 0 1 1 1
box b1 -1 0 0 1 1 1
box b2  1 0 0 1 1 1
box b3  0 1 0 1 1 1
box b4 -1 1 0 1 1 1
box b5  1 1 0 1 1 1
vinit View1
vclear
vaxo
vsetdispmode 1
vcamera -persp
vdisplay b0 b1 b2 b3 b4 b5
vsetcolor b1 b2 GREEN
vsetcolor b4 b5 RED
vsetcolor b3 GRAY55
vfit
vautozfit
vzrange
# here all boxes displayed well
vtrihedron t
vzrange
# here all boxes disappear
#vfrustumculling off
# boxes appear but them are distorted / inverted
TagsNo tags attached.
Test case numberbugs vis bug26401
Attached Filespng file icon boxes_OK.png (4,245 bytes) 2015-07-06 17:01
png file icon boxes_lost.png (2,092 bytes) 2015-07-06 17:01
png file icon boxes_inv.png (4,337 bytes) 2015-07-06 17:01
png file icon boxes_inv2.png (6,833 bytes) 2015-07-06 17:02

- Relationships

-  Notes
(0042761)
kgv (developer)
2015-07-06 17:04

The problem is not reproducible on 6.9.0.
The expected patch that changed this behavior is #0025760.
(0043199)
git (administrator)
2015-07-20 20:23

Branch CR26401 has been created by apl.

SHA-1: 6cafbbe5b28e150559ec5e062145bdf7aa7fc2bd


Detailed log of new commits:

Author: apl
Date: Mon Jul 20 20:21:56 2015 +0300

    0026401: Visualization - small boxes in front of big one disappear in perspective view
(0043200)
git (administrator)
2015-07-20 20:26

Branch CR26401 has been updated forcibly by apl.

SHA-1: 161d248dee024e7e624314e7256c43e447d20e92
(0043218)
apl (developer)
2015-07-21 12:48

Dear Kirill,

Please review CR26401.
(0043219)
kgv (developer)
2015-07-21 12:52

Please test the patch.
(0043405)
git (administrator)
2015-07-24 14:21

Branch CR26401 has been updated forcibly by apv.

SHA-1: 9098c82d70298fbf02e489d67d9f596fd65bca32
(0043406)
apv (tester)
2015-07-24 14:21

Branch CR26401 has been rebased on the current master
(0043454)
apv (tester)
2015-07-27 12:05

Dear BugMaster,

Branch CR26401 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 9098c82d70298fbf02e489d67d9f596fd65bca32

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 39 (39 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
bugs vis bug26401 - OK
http://occt-tests/CR26401-master-occt-64/Debian70-64/bugs/vis/bug26401.html [^]
http://occt-tests/CR26401-master-occt-64/Windows-64-VC10/bugs/vis/bug26401.html [^]

Testing on Linux:
Total MEMORY difference: 99786790 / 99920993 [-0.13%]
Total CPU difference: 17488.97999999948 / 17431.479999999443 [+0.33%]

Testing on Windows:
Total MEMORY difference: 58630897 / 58531355 [+0.17%]
Total CPU difference: 16492.519320599018 / 16880.86820999929 [-2.30%]
(0044159)
git (administrator)
2015-08-14 10:54

Branch CR26401 has been deleted by inv.

SHA-1: 9098c82d70298fbf02e489d67d9f596fd65bca32

- Related Changesets
occt: master 5a19c303
Timestamp: 2015-07-20 17:26:05
Author: apl
Committer: bugmaster
Details ] Diff ]
0026401: Visualization - small boxes in front of big one disappear in perspective view
mod - src/Graphic3d/Graphic3d_Camera.cxx Diff ] File ]
add - tests/bugs/vis/bug26401 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-06 16:59 kgv New Issue
2015-07-06 16:59 kgv Assigned To => kgv
2015-07-06 17:01 kgv File Added: boxes_OK.png
2015-07-06 17:01 kgv File Added: boxes_lost.png
2015-07-06 17:01 kgv File Added: boxes_inv.png
2015-07-06 17:02 kgv File Added: boxes_inv2.png
2015-07-06 17:03 kgv Relationship added related to 0025760
2015-07-06 17:04 kgv Note Added: 0042761
2015-07-06 17:04 kgv Assigned To kgv => apl
2015-07-06 17:04 kgv Status new => assigned
2015-07-20 20:23 git Note Added: 0043199
2015-07-20 20:26 git Note Added: 0043200
2015-07-21 12:48 apl Note Added: 0043218
2015-07-21 12:48 apl Assigned To apl => kgv
2015-07-21 12:48 apl Status assigned => resolved
2015-07-21 12:48 apl Steps to Reproduce Updated View Revisions
2015-07-21 12:52 kgv Note Added: 0043219
2015-07-21 12:52 kgv Assigned To kgv => bugmaster
2015-07-21 12:52 kgv Status resolved => reviewed
2015-07-24 14:21 git Note Added: 0043405
2015-07-24 14:21 apv Note Added: 0043406
2015-07-24 14:21 apv Assigned To bugmaster => apv
2015-07-27 11:32 apv Test case number => bugs vis bug26401
2015-07-27 12:05 apv Note Added: 0043454
2015-07-27 12:05 apv Assigned To apv => bugmaster
2015-07-27 12:05 apv Status reviewed => tested
2015-07-31 12:31 bugmaster Changeset attached => occt master 5a19c303
2015-07-31 12:31 bugmaster Status tested => verified
2015-07-31 12:31 bugmaster Resolution open => fixed
2015-08-14 10:54 git Note Added: 0044159
2015-08-26 11:04 abv Target Version 7.0.0 => 6.9.1
2015-10-16 14:56 aiv Status verified => closed
2015-10-23 20:50 aiv Fixed in Version => 6.9.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker